Skip to main content

Redirect Customer

You can redirect a customer to their application using the callback URL method. To do so, a client needs to invoke the Nium API operation in an asynchronous way. The format described below shows how you can redirect the customer after you successfully complete the Electronic Know Your Customer (eKYC) process. Refer to the customer onboarding page for details specific to the supported region.

You need to redirect the customer to the application where they keep the value fetched during the eKYC. Then, you use the eKYC value to call Nium's Customer Update API to update the rest of the fields required for the onboarding flow.

After receiving the compliance callback nudge, when applicable, a client fetches the customer data by calling the Customer Details V2 API using the customerHashId field to check the status.

Alternatively, the client can opt for the manual KYC process.

POST https://<customerHost:Port>/callback/compliance?customerHashId={customerHashId}

Security​

This API only supports the HTTPS protocol. Add Nium's IP addresses to your firewall allowlist. Contact your Nium representative for the current IP ranges.

Request example​

curl -X POST \
'https://<customerHost:Port>/callback/compliance?customerHashId={customerHashId}' \
-H 'content-type: application/json' \
-H 'x-request-id: 123e4567-e89b-12d3-a456-426655440000' \
-H 'x-client-name: client1' \

Query parameters​

FieldDescriptionRequired?
customerHashIdThis field accepts the unique customer identifier generated upon customer creation.Required

Response​

Return HTTP 200 to acknowledge receipt. No response body is required.

Next steps​

LLM-ready documentation:: llms.txt and llms-full.txt
Was this page helpful?